Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 136956 - full satellite-sync still not working on 2.1
full satellite-sync still not working on 2.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Max Spevack
:
Depends On: 137474
Blocks: rhn360sat
  Show dependency treegraph
 
Reported: 2004-10-23 18:58 EDT by Max Spevack
Modified: 2007-07-31 11:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 13:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-10-23 18:58:26 EDT
I still haven't been able to get a satellite-sync to fully work
without something throwing a traceback.

22:46:17    Importing *relevant* package metadata: rhel-i386-as-3 (2238)
22:46:17    * WARNING: this may be a slow process.
            ________________________________________
Importing:  ######################################## - complete
23:51:35
23:51:35 Linking packages to channels
23:52:38 No handler for step source-packages
23:52:38
23:52:38 Importing channel errata
+++ sending log as an email +++
 
SYNC ERROR: unhandled exception occurred:
 
(Check logs/email for potentially more detail)


The email that was sent:

SYNC ERROR: unhandled exception occurred:

Exception reported from test07.rhndev.redhat.com
Time: Fri Oct 22 23:52:43 2004
Exception type exceptions.AssertionError

Exception Handler Information
Traceback (innermost last):
  File "/usr/bin/satellite-sync", line 128, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 153, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 254, in
_step_errata
    self.syncer.import_errata()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1605, in
import_errata
    assert erratum is not None
AssertionError:

See also: 136748, from the previous satellite-sync attempt
Comment 1 Mihai Ibanescu 2004-10-28 14:28:56 EDT
This should be fixed partially by removing the channel caches on the
server side. The real fix will be addressed with triggers, see bug #137474
Comment 2 Todd Warner 2004-10-28 15:07:49 EDT
ON_DEV/QA_READY --> ON_QA (webQA and RHN Sat ISO/package push complete)
Comment 3 Todd Warner 2004-10-28 15:53:58 EDT
ON_DEV/QA_READY --> ON_QA (webQA and RHN Sat ISO/package push complete) REALLY!
Comment 4 Max Spevack 2004-11-05 21:01:36 EST
Fixed.
Comment 5 Todd Warner 2005-03-22 13:18:17 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.